import { Config } from "../config";
import * as breeze from 'breeze-client';
export declare class PredicateUtils {
    private config;
    constructor(config: Config);
    getPredicates(filterText: string, filterProperty: string, propType: breeze.DataTypeSymbol, queryOp: breeze.FilterQueryOpSymbol): Array<breeze.Predicate>;
}
